﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;
using TweetSharp;

namespace WindowsFormsApplication2
{
    public class TwitterProxy
    {
        private static string _hero;
        private static string _consumerKey;
        private static string _consumerSecret;
        private static string _accessToken;
        private static string _accessTokenSecret;

        public static TwitterService ConnectToTwitter()
        {
            _consumerKey = ConfigurationManager.AppSettings["ConsumerKey"];
            _consumerSecret = ConfigurationManager.AppSettings["ConsumerSecret"];
            _accessToken = ConfigurationManager.AppSettings["AccessToken"];
            _accessTokenSecret = ConfigurationManager.AppSettings["AccessTokenSecret"];

            return new TwitterService(_consumerKey, _consumerSecret, _accessToken, _accessTokenSecret);
        }
    }
}
